.calculadora {
    width: 450px;
    height: 600px;
    background-color: rgb(44, 41, 41);
    border-radius: 10px;
}

.pantalla {
    width: 400px;
    height: 100px;
    background-color: rgb(219, 229, 238);
    border-radius: 10px;
    border: 1px solid black;
    box-shadow: 2px 2px 2px red;
    position: relative;
    top: 30px;
    left: 25px;
    overflow: hidden;

    color: #3f3c3c;
    text-align: right;
    font-size: 3em;
    letter-spacing: 3px;
}

.teclas {
    width: 400px;
    height: 400px;
    position: relative;
    top: 60px;
    left: 25px;
    display: grid;
    grid-template-columns: repeat(4, 1fr);
    gap: 10px;
    grid-template-areas:
        "c mas porcentaje mult"
        "siete ocho nueve menos"
        "cuatro cinco seis suma"
        "uno dos tres igual"
        "cero cero punto igual";

}

.teclas * {
    display: flex;
    justify-content: center;
    align-items: center;
}


.botones,
.igual,
.masmenos {
    background-color: rgb(64, 71, 77);
    border-radius: 10px;
    border: 1px solid black;
    box-shadow: 2px 2px 2px red;
    color: white;
    font-size: x-large;
    cursor: pointer;
}

.c {
    grid-area: c;
}

.masmenos {
    display: flex;
    flex-direction: column;
    grid-area: mas;
}

.porcentaje {
    grid-area: porcentaje;
}

.multiplicar {
    grid-area: mult;
}

.siete {
    grid-area: siete;
}

.ocho {
    grid-area: ocho;
}

.nueve {
    grid-area: nueve;
}

.menos {
    grid-area: menos;
}

.cuatro {
    grid-area: cuatro
}

.cinco {
    grid-area: cinco
}

.seis {
    grid-area: seis
}

.suma {
    grid-area: suma
}

.uno {
    grid-area: uno
}

.dos {
    grid-area: dos
}

.tres {
    grid-area: tres
}

.igual {
    grid-area: igual
}

.cero {
    grid-area: cero
}